package cn.quantgroup.xyqb.service.http;

import java.util.Map;

/**
 * @author mengfan.feng
 * @time 2015-08-13 10:11
 */
public interface IHttpService {

    /**
     * Http Get
     *
     * @param uri
     * @return
     */
    String get(String uri);

    /**
     * Http Get
     *
     * @param uri
     * @param parameters
     * @return
     */
    String get(String uri, Map<String, String> parameters);

    /**
     * Http Get
     *
     * @param uri
     * @param headers
     * @param parameters
     * @return
     */
    String get(String uri, Map<String, String> headers, Map<String, String> parameters);

    /**
     * Http Post
     *
     * @param uri
     * @return
     */
    String post(String uri);

    /**
     * Http Post
     *
     * @param uri
     * @param parameters
     * @return
     */
    String post(String uri, Map<String, String> parameters);

    /**
     * Http Post
     *
     * @param uri
     * @param headers
     * @param parameters
     * @return
     */
    String post(String uri, Map<String, String> headers, Map<String, String> parameters);

    String postJson(String uri, Map<String, String> parameters);
}
